%define oname os-client-config

Name: python-module-%oname
Version: 1.29.0
Release: alt1
Summary: OpenStack Client Configuration Library
Group: Development/Python
License: ASL 2.0
Url: http://docs.openstack.org/developer/%oname
Source: https://tarballs.openstack.org/%oname/%oname-%version.tar.gz

BuildArch: noarch

Provides: os-client-config

BuildRequires: python-devel git-core
BuildRequires: python-module-setuptools
BuildRequires: python-module-sphinx
BuildRequires: python-module-openstackdocstheme >= 1.18.1
BuildRequires: python-module-reno >= 2.5.0

BuildRequires: python-module-pbr
BuildRequires: python-module-fixtures
BuildRequires: python-module-oslotest
BuildRequires: python-module-testtools python-module-testscenarios python-module-testrepository
BuildRequires: python-module-subunit python-module-subunit-tests
BuildRequires: python-module-extras
BuildRequires: python-module-jsonschema
BuildRequires: python-module-glanceclient

BuildRequires: python-module-yaml >= 3.1.0
BuildRequires: python-module-appdirs >= 1.3.0
BuildRequires: python-module-keystoneauth1 >= 3.3.0
BuildRequires: python-module-requestsexceptions >= 1.2.1
BuildRequires: python-module-stestr

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-devel
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-pbr
BuildRequires: python3-module-yaml >= 3.1.0
BuildRequires: python3-module-appdirs >= 1.3.0
BuildRequires: python3-module-keystoneauth1 >= 3.3.0
BuildRequires: python3-module-requestsexceptions >= 1.2.1
BuildRequires: python3-module-testtools python3-module-testscenarios python3-module-testrepository
BuildRequires: python3-module-subunit python3-module-subunit-tests
BuildRequires: python3-module-extras

BuildRequires: python3-module-sphinx
BuildRequires: python3-module-openstackdocstheme >= 1.18.1
BuildRequires: python3-module-reno >= 2.5.0
BuildRequires: python3-module-stestr


%description
The os-client-config is a library for collecting client configuration for
using an OpenStack cloud in a consistent and comprehensive manner. It
will find cloud config for as few as 1 cloud and as many as you want to
put in a config file. It will read environment variables and config files,
and it also contains some vendor specific default values so that you don't
have to know extra info to use OpenStack

* If you have a config file, you will get the clouds listed in it
* If you have environment variables, you will get a cloud named `envvars`
* If you have neither, you will get a cloud named `defaults` with base defaults


%package tests
Summary: Tests for %oname
Group: Development/Python
Requires: %name = %EVR

%description tests
This package contains tests for %oname.

%package doc
Summary: Documentation for OpenStack os-client-config library
Group: Development/Documentation

%description doc
Documentation for the os-client-config library.

%package -n python3-module-%oname
Summary: OpenStack Client Configuation Library
Group: Development/Python3

%description -n python3-module-%oname
The os-client-config is a library for collecting client configuration for
using an OpenStack cloud in a consistent and comprehensive manner. It
will find cloud config for as few as 1 cloud and as many as you want to
put in a config file. It will read environment variables and config files,
and it also contains some vendor specific default values so that you don't
have to know extra info to use OpenStack

* If you have a config file, you will get the clouds listed in it
* If you have environment variables, you will get a cloud named `envvars`
* If you have neither, you will get a cloud named `defaults` with base defaults

%package -n python3-module-%oname-tests
Summary: Tests for %oname
Group: Development/Python3
Requires: python3-module-%oname = %EVR

%description -n python3-module-%oname-tests
This package contains tests for %oname.


%prep
%setup -n %oname-%version

git init-db
git config user.email "real at altlinux.org"
git config user.name "REAL"
git add . -A
git commit -a -m "commit"
git tag %version

# Let RPM handle the dependencies
rm -f test-requirements.txt requirements.txt

rm -rf ../python3
cp -a . ../python3

%build
%python_build

pushd ../python3
%python3_build
popd

# generate html doc
%__python setup.py build_sphinx -b html
rm -rf doc/build/html/.{doctrees,buildinfo} doc/build/html/objects.inv

%install
%python_install

pushd ../python3
%python3_install
popd

%check
export OS_TEST_PATH='./os_client_config/tests'
export PATH=$PATH:$RPM_BUILD_ROOT/usr/bin
export PYTHONPATH=$PWD
stestr --test-path $OS_TEST_PATH run
pushd ../python3
rm -rf .stestr
stestr.py3 --test-path $OS_TEST_PATH run
popd

%files
%doc ChangeLog CONTRIBUTING.rst PKG-INFO README.rst
%python_sitelibdir/*
%exclude %python_sitelibdir/*/tests

%files tests
%python_sitelibdir/*/tests

%files doc
%doc doc/build/html

%files -n python3-module-%oname
%doc ChangeLog CONTRIBUTING.rst PKG-INFO README.rst
%python3_sitelibdir/*
%exclude %python3_sitelibdir/*/tests

%files -n python3-module-%oname-tests
%python3_sitelibdir/*/tests

%changelog
* Tue Mar 05 2019 Lenar Shakirov <snejok@altlinux.ru> 1.29.0-alt1
- 1.29.0

* Thu Dec 06 2018 Alexey Shabalin <shaba@altlinux.org> 1.31.2-alt1
- 1.31.2

* Fri Feb 02 2018 Stanislav Levin <slev@altlinux.org> 1.26.0-alt1.1
- (NMU) Fix Requires and BuildRequires to python-setuptools

* Tue May 30 2017 Alexey Shabalin <shaba@altlinux.ru> 1.26.0-alt1
- 1.26.0
- add test packages

* Tue Oct 18 2016 Alexey Shabalin <shaba@altlinux.ru> 1.21.1-alt1
- 1.21.1

* Thu Apr 14 2016 Alexey Shabalin <shaba@altlinux.ru> 1.16.0-alt1
- 1.16.0

* Sun Mar 13 2016 Ivan Zakharyaschev <imz@altlinux.org> 1.7.4-alt1.1.1
- (NMU) rebuild with rpm-build-python3-0.1.9
  (for common python3/site-packages/ and auto python3.3-ABI dep when needed)

* Thu Jan 28 2016 Mikhail Efremov <sem@altlinux.org> 1.7.4-alt1.1
- NMU: Use buildreq for BR.

* Wed Oct 28 2015 Alexey Shabalin <shaba@altlinux.ru> 1.7.4-alt1
- Initial packaging
